summaryrefslogtreecommitdiffstats
path: root/games
diff options
context:
space:
mode:
author Pablo Santamaria <pablosantamaria@gmail.com>2010-05-13 00:58:15 +0200
committer Erik Hanson <erik@slackbuilds.org>2010-05-13 00:58:15 +0200
commitfc0c4508742e243f371782fb1229f5e826b98d50 (patch)
tree06e088cb9e7225bd3d514b002aadf271a74fccb9 /games
parent08cde5d319c474b579685bb14bd3b35e2878eb74 (diff)
downloadslackbuilds-fc0c4508742e243f371782fb1229f5e826b98d50.tar.gz
slackbuilds-fc0c4508742e243f371782fb1229f5e826b98d50.tar.xz
games/zdoom: Added to 13.0 repository
Diffstat (limited to 'games')
-rw-r--r--games/zdoom/README7
-rw-r--r--games/zdoom/slack-desc19
-rw-r--r--games/zdoom/zdoom.SlackBuild83
-rw-r--r--games/zdoom/zdoom.desktop8
-rw-r--r--games/zdoom/zdoom.info10
-rw-r--r--games/zdoom/zdoom.pngbin0 -> 310 bytes
6 files changed, 127 insertions, 0 deletions
diff --git a/games/zdoom/README b/games/zdoom/README
new file mode 100644
index 0000000000..cf98ba2c90
--- /dev/null
+++ b/games/zdoom/README
@@ -0,0 +1,7 @@
+zdoom (an enhanced port of the official DOOM source code)
+
+ZDoom is an enhanced port of the official DOOM source code.
+Originally for Win32 (Windows 95/98/NT), it is now available
+for Linux as well.
+
+This require p7zip, fmodapi, TiMidity++ (optional, but recommend)
diff --git a/games/zdoom/slack-desc b/games/zdoom/slack-desc
new file mode 100644
index 0000000000..e73e947141
--- /dev/null
+++ b/games/zdoom/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+zdoom: zdoom (an enhanced port of the official DOOM source code)
+zdoom:
+zdoom: ZDoom is an enhanced port of the official DOOM source code.
+zdoom: Originally for Win32 (Windows 95/98/NT), it is now available
+zdoom: for Linux as well.
+zdoom:
+zdoom:
+zdoom:
+zdoom:
+zdoom:
+zdoom:
diff --git a/games/zdoom/zdoom.SlackBuild b/games/zdoom/zdoom.SlackBuild
new file mode 100644
index 0000000000..f10d3a7357
--- /dev/null
+++ b/games/zdoom/zdoom.SlackBuild
@@ -0,0 +1,83 @@
+#!/bin/sh
+
+# Slackware build script for zdoom
+
+# Written by Pablo Santamaria (pablosantamaria@gmail.com)
+
+PRGNAM=zdoom
+VERSION=${VERSION:-2.4.1}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+mkdir $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+7z x $CWD/$PRGNAM-$VERSION-src.7z
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Set default directory for IWADs (share with others doom engines, ej. prboom)
+sed -i 's|/usr/local/share/|/usr/share/games/doom/|' src/sdl/i_system.h
+
+mkdir release
+cd release
+
+cmake \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_BUILD_TYPE="Release" \
+ -DFMOD_LIBRARY=/usr/lib${LIBDIRSUFFIX}/libfmodex${LIBDIRSUFFIX}.so \
+ ..
+
+make
+
+mkdir -p $PKG/usr/{games,share/{applications,pixmaps,games/doom}}
+install -m755 zdoom $PKG/usr/games
+install -m644 zdoom.pk3 $PKG/usr/share/games/doom/
+install -m644 $CWD/zdoom.png $PKG/usr/share/pixmaps/
+install -m644 $CWD/zdoom.desktop $PKG/usr/share/applications/
+
+cd ..
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a docs/* $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/zdoom/zdoom.desktop b/games/zdoom/zdoom.desktop
new file mode 100644
index 0000000000..5e4a383a80
--- /dev/null
+++ b/games/zdoom/zdoom.desktop
@@ -0,0 +1,8 @@
+[Desktop Entry]
+Type=Application
+Name=ZDoom
+GenericName=Enhanced Doom Engine
+Icon=zdoom
+Exec=zdoom %F
+Terminal=false
+Categories=Game;ActionGame;
diff --git a/games/zdoom/zdoom.info b/games/zdoom/zdoom.info
new file mode 100644
index 0000000000..ef49b5a5fb
--- /dev/null
+++ b/games/zdoom/zdoom.info
@@ -0,0 +1,10 @@
+PRGNAM="zdoom"
+VERSION="2.4.1"
+HOMEPAGE="http://zdoom.org/"
+DOWNLOAD="http://remilia.zdoom.org/files/zdoom/2.4/zdoom-2.4.1-src.7z"
+MD5SUM="805e7f7adf434f419c46486a7006839f"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Pablo Santamaria"
+EMAIL="pablosantamaria@gmail.com"
+APPROVED="Erik Hanson"
diff --git a/games/zdoom/zdoom.png b/games/zdoom/zdoom.png
new file mode 100644
index 0000000000..bc5175decb
--- /dev/null
+++ b/games/zdoom/zdoom.png
Binary files differ